%global pypi_name daiquiri
 
Summary:        Library to configure Python logging easily
Name:           python-%{pypi_name}
Version:        3.2.1
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://github.com/Mergifyio/%{pypi_name}
Source0:        %pypi_source

BuildArch:      noarch
 
%description
The %{pypi_name} library provides an easy way to configure Python logging.  It also provides some
custom formatters and handlers.
 
%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Library to configure Python logging easily
BuildRequires:  python%{python3_pkgversion}-devel
Requires:       python%{python3_pkgversion}-json-logger
 
%description -n python%{python3_pkgversion}-%{pypi_name}
The %{pypi_name} library provides an easy way to configure Python logging.  It also provides some
custom formatters and handlers.
 
%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel
 
%install
%pyproject_install
%pyproject_save_files %{pypi_name}
 
%check
%pytest

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
 
%changelog
* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - -1
- update to

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 Shuo Wang <abushwang@tencent.com> - 3.0.0-1
- initial build
